## python-ttn-client 1.2.3

=== requirements.txt ===
aiohttp==3.12.14

## python-ttn-client 1.2.1

=== debian/changelog ===
python-ttn-client (1.2.1-3) unstable; urgency=medium

  * Skip tests that accesses the network. (Closes: #1082392)
  * Update copyright year.
  * Simplify debian/watch.
  * Simplify debian/rules.

 -- Edward Betts <edward@4angle.com>  Tue, 07 Jan 2025 20:11:06 +0000

python-ttn-client (1.2.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 12 Sep 2024 09:20:59 +0100

python-ttn-client (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1080018)

 -- Edward Betts <edward@4angle.com>  Thu, 29 Aug 2024 17:13:47 +0100

=== debian/control ===
Source: python-ttn-client
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 ca-certificates <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/angelnu/thethinksnetwork_python_client
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-ttn-client
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-ttn-client.git

Package: python3-ttn-client
Architecture: all
Depends:
 ca-certificates,
 python3-aiohttp,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for fetching and parsing uplink messages from The Things Network
 This library provides a client to fetch and parse uplink messages from The
 Things Network. The Things Network is a community-driven and open network that
 supports LoRaWAN for long-range communication with low bandwidth. Data from
 sensors is transferred via gateways to The Things Network, where this client
 processes the received uplink messages. The client decodes the payload and
 converts it into a readable format, extracting key-value pairs for further use
 in applications. This allows users to integrate and work with data from The
 Things Network within their own systems.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov -k "not test_connection_auth_error"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/angelnu/thethinksnetwork_python_client/tags .*/v?(\d\S+)\.tar\.gz

## python-ttn-client 1.2.3

=== debian/changelog ===
python-ttn-client (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 20:47:06 +0000

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,11 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/angelnu/thethinksnetwork_python_client
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-ttn-client
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-ttn-client.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-ttn-client
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: angelnu
Project: thethinksnetwork_python_client
